package samples.javaclient.analyzer;

import oracle.dss.bicontext.BIFilter;
import oracle.dss.bicontext.BISearchResult;
import oracle.dss.util.persistence.PersistableConstants;

public class BIFavoritesFilter implements BIFilter  {
  public BIFavoritesFilter() {
  }

  public boolean evaluate(BISearchResult result) {
    if (result.getObjectType().equals(PersistableConstants.FOLDER) ||
      result.getObjectType().equals(PersistableConstants.SELECTION))
      return true;
    else
      return false;   
  }
  
}